*! version 1.0.0 -- modified from STB-11 ip3.1 6/30/00
program define hinflu6 
	version 6.0
	syntax newvarlist(max=1)
	tokenize `varlist'
	capture quietly confirm new variable `1'
	if _rc~=0 {
	  display "`1' already exists"
	  exit _rc }
	if e(cmd)~="regress" { error 301 }
	tempvar Hi p e d2 
	quietly {
		predict `p', leverage
		predict `e', resid 
		gen `d2'=(`e'*`e')/`e(rss)'
		generate `Hi' = /*
			*/ ((`e(df_m)'+1)/(1-`p'))*(`d2'/(1-`d2')) + /*
			*/ `p'/(1-`p')
	
	  generate `1' =  `Hi'
end
